package cn.com.qmth.examcloud.exchange.outer.api.provider;

import cn.com.qmth.examcloud.commons.exception.StatusException;
import cn.com.qmth.examcloud.commons.util.StringUtil;
import cn.com.qmth.examcloud.core.oe.admin.api.ExamScoreObtainQueueCloudService;
import cn.com.qmth.examcloud.core.oe.admin.api.request.DeleteExamScoreQueueReq;
import cn.com.qmth.examcloud.core.oe.admin.api.request.GetTopExamScoreQueueReq;
import cn.com.qmth.examcloud.core.oe.admin.api.response.GetTopExamScoreQueueResp;
import cn.com.qmth.examcloud.examwork.api.ExamCloudService;
import cn.com.qmth.examcloud.examwork.api.bean.ExamBean;
import cn.com.qmth.examcloud.examwork.api.request.GetExamReq;
import cn.com.qmth.examcloud.examwork.api.response.GetExamResp;
import cn.com.qmth.examcloud.exchange.outer.api.ExamQuestionOuterService;
import cn.com.qmth.examcloud.exchange.outer.api.ScoreQueueService;
import cn.com.qmth.examcloud.exchange.outer.api.request.OuterDeleteScoreQueueTopReq;
import cn.com.qmth.examcloud.exchange.outer.api.request.OuterGetScoreQueueTopReq;
import cn.com.qmth.examcloud.exchange.outer.api.request.OuterGetSubjectivePaperStructReq;
import cn.com.qmth.examcloud.exchange.outer.api.request.OuterGetSubjectiveQuestionReq;
import cn.com.qmth.examcloud.exchange.outer.api.response.OuterDeleteScoreQueueTopResp;
import cn.com.qmth.examcloud.exchange.outer.api.response.OuterGetScoreQueueTopResp;
import cn.com.qmth.examcloud.exchange.outer.api.response.OuterGetSubjectivePaperStructResp;
import cn.com.qmth.examcloud.exchange.outer.api.response.OuterGetSubjectiveQuestionResp;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import cn.com.qmth.examcloud.web.support.StatusResponse;
import com.mysql.cj.util.StringUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description 考试作答服务
 * @Author lideyin
 * @Date 2020/3/30 14:48
 * @Version 1.0
 */
@Api("考试作答服务")
@RestController
@RequestMapping("${$rmp.cloud.exchange.outer}/question")
public class ExamQuestionOuterServiceProvider extends ControllerSupport implements ExamQuestionOuterService {

    private static final long serialVersionUID = 7607495598308348018L;

    /**
     * 获取主观题试卷结构
     *
     * @param req
     * @return
     */
    @ApiOperation(value = "获取主观题试卷结构", httpMethod = "POST")
    @ApiResponses({@ApiResponse(code = 200, message = "成功", response = OuterGetScoreQueueTopResp.class),
            @ApiResponse(code = 500, message = "系统异常(异常信息见响应体)", response = StatusResponse.class)})
    @PostMapping("/getSubjectivePaperStruct")
    @Override
    public OuterGetSubjectivePaperStructResp getSubjectivePaperStruct(OuterGetSubjectivePaperStructReq req) {
        return null;
    }

    @ApiOperation(value = "获取主观题作答结果", httpMethod = "POST")
    @ApiResponses({@ApiResponse(code = 200, message = "成功", response = OuterGetScoreQueueTopResp.class),
            @ApiResponse(code = 500, message = "系统异常(异常信息见响应体)", response = StatusResponse.class)})
    @PostMapping("/getSubjectiveQuestion")
    @Override
    public OuterGetSubjectiveQuestionResp getSubjectiveQuestion(OuterGetSubjectiveQuestionReq req) {
        if (null == req.getExamId()) {
            throw new StatusException("101001", "考试id不允许为空");
        }

        if (StringUtils.isNullOrEmpty(req.getSubjectCode())) {
            throw new StatusException("101002", "科目代码不允许为空");
        }

        if (null == req.getStartId()) {
            throw new StatusException("101003", "考试记录id不允许为空");
        }

        if (null == req.getSize()) {
            throw new StatusException("101004", "数据量大小不允许为空");
        }



        return null;
    }
}
