package cn.com.qmth.examcloud.exchange.outer.api.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description 主观题作答记录实体
 * @Author lideyin
 * @Date 2020/3/30 16:43
 * @Version 1.0
 */
@ApiModel(value = "OuterSubjectiveQuestionRecordBean", description = "主观题作答记录实体")
public class OuterSubjectiveQuestionRecordBean implements JsonSerializable{
	private static final long serialVersionUID = 5992269834285704045L;

	@ApiModelProperty(value = "大题号", example = "1", required = true)
	private Integer mainNumber;

	@ApiModelProperty(value = "小题号", example = "XX", required = true)
	private String subNumber;

	@ApiModelProperty(value = "试题id,String,一个套题共用一个questionId", example = "1", required = true)
	private String questionId;

	@ApiModelProperty(value = "标准答案", example = "{}", required = false)
	private OuterSectionCollectionBean answer;

	@ApiModelProperty(value = "学生答案", example = "{}", required = false)
	private OuterSectionCollectionBean studentAnswer;

	@ApiModelProperty(value = "题干", example = "{}", required = true)
	private OuterSectionCollectionBean body;

	@ApiModelProperty(value = "父题干", example = "{}", required = false)
	private OuterSectionCollectionBean parentBody;

	public Integer getMainNumber() {
		return mainNumber;
	}

	public void setMainNumber(Integer mainNumber) {
		this.mainNumber = mainNumber;
	}

	public String getSubNumber() {
		return subNumber;
	}

	public void setSubNumber(String subNumber) {
		this.subNumber = subNumber;
	}

	public String getQuestionId() {
		return questionId;
	}

	public void setQuestionId(String questionId) {
		this.questionId = questionId;
	}

	public OuterSectionCollectionBean getAnswer() {
		return answer;
	}

	public void setAnswer(OuterSectionCollectionBean answer) {
		this.answer = answer;
	}

	public OuterSectionCollectionBean getStudentAnswer() {
		return studentAnswer;
	}

	public void setStudentAnswer(OuterSectionCollectionBean studentAnswer) {
		this.studentAnswer = studentAnswer;
	}

	public OuterSectionCollectionBean getBody() {
		return body;
	}

	public void setBody(OuterSectionCollectionBean body) {
		this.body = body;
	}

	public OuterSectionCollectionBean getParentBody() {
		return parentBody;
	}

	public void setParentBody(OuterSectionCollectionBean parentBody) {
		this.parentBody = parentBody;
	}
}
